Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.form
Class OdfPasswordElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.form.OdfPasswordElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfPassword

    public abstract class OdfPasswordElement

extends OdfElement

DOM implementation of OpenDocument element form:password.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfPasswordElement(OdfFileDom aOwnerDoc)` Create the instance of OdfPasswordElement

Method Summary
`OdfEventListenersElement` | `createEventListenersElement()` Create child element office:event-listeners.
`OdfPropertiesElement` | `createPropertiesElement()` Create child element form:properties.
`String` | `getBind()` Get value of attribute xforms:bind.
`String` | `getControlImplementation()` Get value of attribute form:control-implementation.
`OdfBoolean` | `getConvertEmptyToNull()` Get value of attribute form:convert-empty-to-null.
`OdfBoolean` | `getDisabled()` Get value of attribute form:disabled.
`String` | `getEchoChar()` Get value of attribute form:echo-char.
`String` | `getId()` Get value of attribute form:id.
`OdfCellAddress` | `getLinkedCell()` Get value of attribute form:linked-cell.
`OdfNonNegativeInteger` | `getMaxLength()` Get value of attribute form:max-length.
`String` | `getName()` Get value of attribute form:name.
`OdfName` | `getOdfName()` Get the element name
`OdfBoolean` | `getPrintable()` Get value of attribute form:printable.
`OdfNonNegativeInteger` | `getTabIndex()` Get value of attribute form:tab-index.
`OdfBoolean` | `getTabStop()` Get value of attribute form:tab-stop.
`String` | `getTitle()` Get value of attribute form:title.
`String` | `getValue()` Get value of attribute form:value.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`void` | `init(String id, OdfId xmlid)` Initialization of the mandatory attributes of `OdfPasswordElement`
`void` | `setBind(String bind)` Set value of attribute xforms:bind.
`void` | `setControlImplementation(String controlImplementation)` Set value of attribute form:control-implementation.
`void` | `setConvertEmptyToNull(OdfBoolean isConvertEmptyToNull)` Set value of attribute form:convert-empty-to-null.
`void` | `setDisabled(OdfBoolean isDisabled)` Set value of attribute form:disabled.
`void` | `setEchoChar(String echoChar)` Set value of attribute form:echo-char.
`void` | `setId(String id)` Set value of attribute form:id.
`void` | `setLinkedCell(OdfCellAddress linkedCell)` Set value of attribute form:linked-cell.
`void` | `setMaxLength(OdfNonNegativeInteger maxLength)` Set value of attribute form:max-length.
`void` | `setName(String name)` Set value of attribute form:name.
`void` | `setPrintable(OdfBoolean isPrintable)` Set value of attribute form:printable.
`void` | `setTabIndex(OdfNonNegativeInteger tabIndex)` Set value of attribute form:tab-index.
`void` | `setTabStop(OdfBoolean isTabStop)` Set value of attribute form:tab-stop.
`void` | `setTitle(String title)` Set value of attribute form:title.
`void` | `setValue(String value)` Set value of attribute form:value.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfPasswordElement

    public OdfPasswordElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfPasswordElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element form:password.

### init

    public void init(String id,
                     OdfId xmlid)

  Initialization of the mandatory attributes of `OdfPasswordElement`

  Parameters:
    `id` - The mandatory attribute form:id"
    `xmlid` - The mandatory attribute xml:xmlid"

### getName

    public String getName()

  Get value of attribute form:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute form:name.

  Parameters:
    `name` - the attribute's type is String

### getControlImplementation

    public String getControlImplementation()

  Get value of attribute form:control-implementation.

  Returns:
    return the attribute which type is String

### setControlImplementation

    public void setControlImplementation(String controlImplementation)

  Set value of attribute form:control-implementation.

  Parameters:
    `controlImplementation` - the attribute's type is String

### getId

    public String getId()

  Get value of attribute form:id.

  Returns:
    return the attribute which type is String

### setId

    public void setId(String id)

  Set value of attribute form:id.

  Parameters:
    `id` - the attribute's type is String

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getBind

    public String getBind()

  Get value of attribute xforms:bind.

  Returns:
    return the attribute which type is String

### setBind

    public void setBind(String bind)

  Set value of attribute xforms:bind.

  Parameters:
    `bind` - the attribute's type is String

### getDisabled

    public OdfBoolean getDisabled()

  Get value of attribute form:disabled.

  Returns:
    return the attribute which type is OdfBoolean

### setDisabled

    public void setDisabled(OdfBoolean isDisabled)

  Set value of attribute form:disabled.

  Parameters:
    `isDisabled` - the attribute's type is OdfBoolean

### getMaxLength

    public OdfNonNegativeInteger getMaxLength()

  Get value of attribute form:max-length.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setMaxLength

    public void setMaxLength(OdfNonNegativeInteger maxLength)

  Set value of attribute form:max-length.

  Parameters:
    `maxLength` - the attribute's type is OdfNonNegativeInteger

### getPrintable

    public OdfBoolean getPrintable()

  Get value of attribute form:printable.

  Returns:
    return the attribute which type is OdfBoolean

### setPrintable

    public void setPrintable(OdfBoolean isPrintable)

  Set value of attribute form:printable.

  Parameters:
    `isPrintable` - the attribute's type is OdfBoolean

### getTabIndex

    public OdfNonNegativeInteger getTabIndex()

  Get value of attribute form:tab-index.

  Returns:
    return the attribute which type is OdfNonNegativeInteger

### setTabIndex

    public void setTabIndex(OdfNonNegativeInteger tabIndex)

  Set value of attribute form:tab-index.

  Parameters:
    `tabIndex` - the attribute's type is OdfNonNegativeInteger

### getTabStop

    public OdfBoolean getTabStop()

  Get value of attribute form:tab-stop.

  Returns:
    return the attribute which type is OdfBoolean

### setTabStop

    public void setTabStop(OdfBoolean isTabStop)

  Set value of attribute form:tab-stop.

  Parameters:
    `isTabStop` - the attribute's type is OdfBoolean

### getTitle

    public String getTitle()

  Get value of attribute form:title.

  Returns:
    return the attribute which type is String

### setTitle

    public void setTitle(String title)

  Set value of attribute form:title.

  Parameters:
    `title` - the attribute's type is String

### getValue

    public String getValue()

  Get value of attribute form:value.

  Returns:
    return the attribute which type is String

### setValue

    public void setValue(String value)

  Set value of attribute form:value.

  Parameters:
    `value` - the attribute's type is String

### getConvertEmptyToNull

    public OdfBoolean getConvertEmptyToNull()

  Get value of attribute form:convert-empty-to-null.

  Returns:
    return the attribute which type is OdfBoolean

### setConvertEmptyToNull

    public void setConvertEmptyToNull(OdfBoolean isConvertEmptyToNull)

  Set value of attribute form:convert-empty-to-null.

  Parameters:
    `isConvertEmptyToNull` - the attribute's type is OdfBoolean

### getLinkedCell

    public OdfCellAddress getLinkedCell()

  Get value of attribute form:linked-cell.

  Returns:
    return the attribute which type is OdfCellAddress

### setLinkedCell

    public void setLinkedCell(OdfCellAddress linkedCell)

  Set value of attribute form:linked-cell.

  Parameters:
    `linkedCell` - the attribute's type is OdfCellAddress

### getEchoChar

    public String getEchoChar()

  Get value of attribute form:echo-char.

  Returns:
    return the attribute which type is String

### setEchoChar

    public void setEchoChar(String echoChar)

  Set value of attribute form:echo-char.

  Parameters:
    `echoChar` - the attribute's type is String

### createPropertiesElement

    public OdfPropertiesElement createPropertiesElement()

  Create child element form:properties.

  Returns:
    return the element form:properties

### createEventListenersElement

    public OdfEventListenersElement createEventListenersElement()

  Create child element office:event-listeners.

  Returns:
    return the element office:event-listeners

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.